$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-595fdb2f57c544e3908e2b5c1954c8d3a6f0270d/rpcs3-v0.0.12-10864-595fdb2f_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '5b568a5ab7f80bf59f8f66088d6b60291adb9760c9f3aff960c676cf05d0ff2a'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
